Page MenuHomePhabricator

MediaWiki Developer Summit 2015 proposal: How MediaWiki slows us down
Closed, ResolvedPublic

Description

There are many small things about the MediaWiki codebase that slow us down that wouldn't take much time for us to fix, but we need to make the time to fix them. Let's make a point of getting together the list of the worst offenders and start planning how we're going to tackle them.

http://etherpad.wikimedia.org/p/MWFixme

Event Timeline

RobLa-WMF raised the priority of this task from to Needs Triage.
RobLa-WMF updated the task description. (Show Details)
RobLa-WMF added subscribers: RobLa-WMF, daniel.
Krenair added a subscriber: Krenair.Jan 9 2015, 1:27 AM
RobLa-WMF renamed this task from Why MediaWiki slows us down to MediaWiki Developer Summit 2015 proposal: Why MediaWiki slows us down.Jan 9 2015, 1:28 AM
RobLa-WMF set Security to None.
Qgil triaged this task as Medium priority.Jan 12 2015, 7:58 PM
bd808 added a subscriber: bd808.Jan 12 2015, 10:20 PM
RobLa-WMF added subscribers: Smalyshev, Legoktm.

@daniel, thanks for agreeing to head up this session! I've pinged both @bd808 and @Smalyshev as people that may be able to help give this session more shape. @Legoktm, I think you're also in a good spot to really help on this.

@Smalyshev brought up the fact that at $DAYJOB-1, he always maintained a prioritized backlog that items that people should start working on as soon as the opportunity presents itself. Is the backlog our RFC list, or the backlog for the MediaWiki-Core-Team, or is there some other list we need to start maintaining?

hoo added a subscriber: hoo.Jan 13 2015, 12:51 AM
brion added a subscriber: brion.Jan 23 2015, 11:21 PM
RobLa-WMF renamed this task from MediaWiki Developer Summit 2015 proposal: Why MediaWiki slows us down to MediaWiki Developer Summit 2015 proposal: How MediaWiki slows us down.Jan 26 2015, 10:26 PM
Qgil closed this task as Resolved.Apr 30 2015, 10:40 AM
Qgil claimed this task.